运维开发网

使用ant debug编译的时候出现如下错误

运维开发网 https://www.qedev.com 2020-03-27 10:37 出处:网络 作者:运维开发网整理
使用ant debug编译的时候出现如下错误: (请使用 -source 7 或更高版本以启用diamond 运算符)      [javac]E:\MichaelKu\workspace\ZxingLib\src\com\google\zxing\common\Characte rSetECI.java:61: 错误: -source1.5 中不支持 diamond 运算符   由字面意思很明显

使用ant debug编译的时候出现如下错误:

(请使用 -source 7 或更高版本以启用diamond 运算符)

 

   [javac]E:\MichaelKu\workspace\ZxingLib\src\com\google\zxing\common\Characte

rSetECI.java:61: 错误: -source1.5 中不支持 diamond 运算符

 

由字面意思很明显可以看出是jdk版本的原因,把build.xml更改到jdk1.7以上就可以

 

解决办法:

依次打开<import file="${sdk.dir}/tools/ant/build.xml" />

Android sdk 默认的是jdk1.5,更改为1.7即可

默认:

<property name="java.target"value="1.5" />

<property name="java.source"value="1.5" />

 更改后:

 <property name="java.target"value="1.7" />

<property name="java.source"value="1.7" />

0

精彩评论

暂无评论...
验证码 换一张
取 消